C     CHECK FOR FORTRAN UNDERFLOW ON MICRONICS SYSTEM BOARDS IN
C     GATEWAY 486 ISA MACHINES.
C     MUST HAVE A NUMERICAL COPROCESSOR ON 386 OR SX MACHINES TO RUN
C     THIS PROGRAM IF COMPILED TO REQUIRE A COPROCESSOR
      print *, 'Check for math coprocessor FORTRAN underflow defect'
      print *, 'on Micronics system boards in Gateway 486 ISA machines.'
      print *, '386 or SX machines must have math chip in or emulated!'
      PRINT *, 'First multiply 2 * 2.  No underflow should result.'
      A=2.0
      B=A*A
      PRINT *, A, ' times ', A, ' equals ', B
      PRINT *, 'Now try 0.00000000000000000001 times itself.'
      PRINT *, '"Correct" should be 9.999946E-41,'
      PRINT *, '   close enough for FORTRAN.'
      PRINT *, 'If board has underflow defect, machine will now hang.'
      A=0.00000000000000000001
      B=A*A
      PRINT *, A, ' times ', A, ' equals ', B
      PRINT *, 'Your board does NOT have the underflow problem.'
      STOP
      END